%define name bnetd
%define version 0.4.20pre4
%define release 4mdk

Summary: Emulates a Starcraft Battle.net server
Name: %{name}
Version: %{version}
Release: %{release}
Group: Games/Strategy
Source: bnetd-%{version}.tar.bz2
Source1: bnetd.init
Source2: bnetd.logrotate
Patch0: %{name}-%{version}.diffs
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Prereq: chkconfig

%description
Bnetd is a program that will eventually emulate a Starcraft Battle.net
server.  It is distributed under the GPL so that others may contribute
to the development.  It currently runs on Unix and Unix like systems.
The code is based on the original bnetd-0.3 by Mark Baysinger which was
distributed on http://www.starhack.ml.org/ until that domain went away.
Mark's work also spawned several versions for MS-Windows, most notably
FSGS.

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup 
%patch -p1

%build
cd src
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/ --sysconfdir=/etc/bnetd

%make

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
chkconfig --add bnetd

%preun
if [ "$1" = 0 ] ; then
  chkconfig --del bnetd
fi

%install
mkdir -p ${RPM_BUILD_ROOT}/etc/bnetd
mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man4
mkdir -p ${RPM_BUILD_ROOT}/var/lib/games/bnetd
mkdir -p ${RPM_BUILD_ROOT}/var/lib/games/bnetd/files
mkdir -p ${RPM_BUILD_ROOT}/var/lib/games/bnetd/users
mkdir -p ${RPM_BUILD_ROOT}/var/lib/games/bnetd/reports
mkdir -p ${RPM_BUILD_ROOT}/var/log/bnetd
cp sbin/bnetd   ${RPM_BUILD_ROOT}%{_sbindir}/
cp sbin/bnproxy ${RPM_BUILD_ROOT}%{_sbindir}/
cp bin/bnbot    ${RPM_BUILD_ROOT}%{_bindir}
cp bin/bnchat   ${RPM_BUILD_ROOT}%{_bindir}
cp bin/bnftp    ${RPM_BUILD_ROOT}%{_bindir}
cp bin/bnpass   ${RPM_BUILD_ROOT}%{_bindir}
cp bin/bnstat   ${RPM_BUILD_ROOT}%{_bindir}
cp man/*.1      ${RPM_BUILD_ROOT}%{_mandir}/man1
cp man/*.4      ${RPM_BUILD_ROOT}%{_mandir}/man4
cp ${RPM_SOURCE_DIR}/bnetd.logrotate ${RPM_BUILD_ROOT}/etc/logrotate.d/bnetd
cp ${RPM_SOURCE_DIR}/bnetd.init      ${RPM_BUILD_ROOT}/etc/rc.d/init.d/bnetd
cp conf/bnetd.conf		${RPM_BUILD_ROOT}/etc/bnetd
cp conf/bnetd_default_user	${RPM_BUILD_ROOT}/etc/bnetd
cp conf/bnmotd.txt		${RPM_BUILD_ROOT}/etc/bnetd
cp conf/channel.list		${RPM_BUILD_ROOT}/etc/bnetd
cp conf/news.txt		${RPM_BUILD_ROOT}/etc/bnetd
cp conf/ad.list			${RPM_BUILD_ROOT}/etc/bnetd
cp files/*			${RPM_BUILD_ROOT}/var/lib/games/bnetd/files
(cd ${RPM_BUILD_ROOT}/var/lib/games/bnetd/files && ln -s tos.txt tos_USA.txt)
(cd ${RPM_BUILD_ROOT}/var/lib/games/bnetd/files && ln -s tos.txt tos_DEU.txt)

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING CREDITS INSTALL README README.adbanner README.ladder TODO
%doc %{_mandir}/man1/*
%doc %{_mandir}/man4/*
%{_sbindir}/*
%{_bindir}/*
%dir    /etc/bnetd
%config /etc/bnetd/bnetd.conf
%config /etc/bnetd/bnetd_default_user
%config /etc/bnetd/bnmotd.txt
%config /etc/bnetd/channel.list
%config /etc/bnetd/news.txt
%config /etc/bnetd/ad.list
%config /etc/rc.d/init.d/bnetd
%config /etc/logrotate.d/bnetd
%dir   /var/lib/games/bnetd
%dir   /var/lib/games/bnetd/files
/var/lib/games/bnetd/files/*
%dir   /var/lib/games/bnetd/users
%dir   /var/lib/games/bnetd/reports
%dir   /var/log/bnetd

%changelog
* Fri Jan 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.20pre4-4mdk
- rebuild

* Tue Aug 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.20pre4-3mdk
- BM
- macros

* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.20pre4-2mdk
- fix group, file section, source permissions.

* Mon Nov 22 1999 Lenny Cartier <lenny@mandrakesoft.com>
- used srpm from Hakan Tandogan <hakan@iconsult.com>
- fixed %files attributes / bz2 archive

* Tue Nov 16 1999 Hakan Tandogan <hakan@iconsult.com>
- tagged config files as such
- added softlinks to tos_{USA|DEU}.txt
- added files/*

* Tue Nov  9 1999 Hakan Tandogan <hakan@iconsult.com>
- 0.4.20pre4
- bzip2'ed the sources
- modified the file layout a little bit (/var/bnetd -> /var/lib/games/bnetd)
- (finally) added a sysv init script
- added a logrotate.d-script

* Tue Oct 18 1999 Hakan Tandogan <hakan@iconsult.com>
- 0.4.19
- bzip2'ed the manpages, too

* Tue Oct 14 1999 Hakan Tandogan <hakan@iconsult.com>
- 0.4.19pre3

* Tue Oct  5 1999 Hakan Tandogan <hakan@iconsult.com>
- 0.4.19pre

* Tue Sep  2 1999 Hakan Tandogan <hakan@iconsult.com>
- Full rebuild for distribution (0.4.18)
- Full rebuild for distribution (0.4.16)

* Tue Aug 14 1999 Hakan Tandogan <hakan@iconsult.com>
- 'make install'-lookalike
- bzip2'ed the sources
- start

